<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head>


  <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
  <title>Cidero</title>
  <link rel="stylesheet" type="text/css" href="rendererBridge-Dateien/test.css">
</head><body>

<!-- Under construction image at top left -->
<div id="construction" title="construction">
<!--<img src="undercon.gif" />-->
</div>

<!-- Banner image at top left -->
<div id="banner"><img src="rendererBridge-Dateien/cideroWebBanner.gif" alt="Banner" align="left">
</div>

<!-- Separator -->
<div id="sep">
<hr style="width: 1000px; height: 4px;">
</div>

<!-- Navigation bar on left -->
<div id="pageNav">
<a href="http://www.cidero.com/index.html">Home</a>
<a href="http://www.cidero.com/downloads.html">Downloads</a>
<a href="http://www.cidero.com/forums/index.php">Forums</a>
<a href="http://www.cidero.com/links.html">Links</a>
<!-- <a href="contacts.html">Contacts</a> --></div>


<!-- Page content on right -->
<div id="pageContent" title="Content">

<h2>UPnP Bridge</h2>

<a href="#intro">Introduction</a><br>
<a href="#renderer">UPnP MediaRenderer Bridge</a><br>
<a href="#prismiq">Prismiq MediaRenderer Bridge Plug-in</a><br>

<h3><a name="intro">Introduction</a></h3> The UPnP bridge software
allows non-UPnP devices to be used in a UPnP network. The bridge
software is implemented using a flexible two-tiered plug-in
architecture to support a variety of devices. The upper level plug-in
provides generic support for a specific UPnP device type, such as a
networked media player (UPnP MediaRenderer). The lower-level plug-in
handles the communication details for a particular non-UPnP device,
such as the Prismiq media player. This architecture is capable of
supporting bridging of numerous devices of different types using a
single instance of a Java Virtual Machine, allowing for ten or more
devices to be easily supported simultaneously.<br>
<br>
<h4>Bridge Configuration</h4>
The bridge currently comes preconfigured with support for a single UPnP
device type - a UPnP MediaRenderer. It should not need to be configured
(yet) by most users. If you are developing your own plug-in for a
different device type, edit the configuration file in <i>$USER_HOME/.cidero/Bridge/Bridge.properties</i>. Note that the file will not exist until after you have run the bridge at least once.


<h3><a name="renderer">UPnP MediaRenderer Bridge</a></h3> The first
available UPnP bridge implementation is a UPnP 'MediaRenderer' bridge.
This provides the framework for supporting a number of non-UPnP media
players, such as the Prismiq (now) and the AudioTron (implemented based
on user response) in a UPnP environment.<br> 
<br>

<h4>MediaRenderer Bridge Configuration</h4>
The generic UPnP MediaRenderer bridge comes preconfigured with a single
plug-in for the Prismiq media player. It should not need to be
configured (yet) by most users. If you are developing your own plug-in
for a different device type, edit the configuration file in <i>$USER_HOME/.cidero/Bridge/MediaRendererBridge.properties</i>. Note that the file will not exist until after you have run the bridge at least once.

<h3><a name="prismiq">Prismiq MediaRenderer Bridge Plug-in</a></h3> The
Prismiq media player can be controlled via its 'Media Agent' interface,
a TCP-based interface with a simple ASCII-based command-response
protocol. There is no native UPnP support, nor is there likely to be as
the device is no longer being actively enhanced. A module already
exists that makes use of the TCP inteface to allow the Prismiq to be
used with the 'Slimserver' software from Slim devices. This is a very
nice approach to improve the music browsing experience on the Prismiq,
since it includes a Web page that can be accessed via the Prismiq
on-screen display. If a user's primary music server is UPnP-based,
however, and a laptop is available for the UPnP controller's UI, the
bridge software may sometimes prove handy. Note that a web-based
interface to a UPnP control point is under consideration for
development (primarily for the PocketPC), which would further improve
the experience since control via a PC would no longer be needed for the
Prismiq.<br>
<br>

<h4>Prismiq Plug-in Configuration</h4>

There are a few simple steps involved in setting up the Prismiq plug-in. Note
that you can skip steps 2,3, and 4 if you already have the media agent interface enabled for use with the slimserver software. <br>

<ol>
<li>Configure the Prismiq device to use a static IP</li>
<li>Enable telnet on the device (via the setup menu)</li>
<li>Log into the device using 'telnet IPAddr' and edit the file
'/etc/magent.conf'. Change the value of the line beginning with
CFG_MAGENT_LOCAL to 0. (Use the VI editor to do this)</li>
<li>Reboot the Prismiq device</li>
<li>Run the UPnP bridge for the first time to initialize the configuration file in your home directory.</li>
<li>Edit the configuration file <i>$USER_HOME/.cidero/Bridge/PrismiqDeviceManager.properties</i> to reflect the address(es) of your Prismiq(s). Under Windows, <i>$USER_HOME</i> is normally <i>C:\Documents and Settings\userName</i>
Note that the .cidero directory may not be visible under Windows if
'hidden' directories are not being displayed in your file explorer
browse windows.</li>
<li>Start up the Cidero MediaController, select a server and the Prismiq renderer, add some tracks to the play queue and hit play!</li>
</ol>

If you are attempting this procedure, you are likely aware about the <a href="http://p097.ezboard.com/bprismiqunofficialforum">Unofficial Prismiq Forum</a>. If not, check it out to see what's cookin.<br>
<br>

Please report problems (or even success) with the Prismiq bridge software via the Cidero forums. Happy UPnP'ing!

<p></p>

</div>

</body></html>